//
// The Amoeba Generator is a program that computes and visualizes
// amoebas for some complex-valued bivariate expressions.
//
// Copyright (C) 2008 Magnus Leksell and Wojciech Komorowski.
//
// http://amoeba.sajberspejs.com
// Email: amoeba@sajberspejs.com
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef CIRCLE_H_
#define CIRCLE_H_

#include <queue>
#include <cln/complex_io.h>
#include "interval.h"

using namespace std;

class Circle : public AbstractInterval {
public:
  Circle(const Number& minRadius, const Number& maxRadius, const Number& step, int points) {
    minRadius_ = minRadius;
    maxRadius_ = maxRadius;
    step_ = step;
    points_ = points;
  }

  ostream& print(ostream& os) const {
    os << minRadius_ << " ... " << maxRadius_ << ", step=" << step_ << ", points=" << points_;
    return os;
  }
};

#endif /* CIRCLE_H_ */
