//
// The Amoeba Generator is a program that computes and visualizes
// amoebas for some complex-valued bivariate expressions.
//
// Copyright (C) 2008 Magnus Leksell and Wojciech Komorowski.
//
// http://amoeba.sajberspejs.com
// Email: amoeba@sajberspejs.com
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef NPOLYTOPE_H_
#define NPOLYTOPE_H_

#include <gd.h>
#include "cpolynomial.h"

class NewtonPolytope {
private:
  static double angle(gdPoint p1, gdPoint p2);
  static bool leftTurn(gdPoint p1, gdPoint p2, gdPoint p3);
public:
  static void write(const char* filename,
                    const CPolynomial& p) throw(std::runtime_error);
};

#endif /* NPOLYTOPE_H_ */
